;;
;;  GNATS (bug reporting system) set-up for emacs
;;

(setq load-path 
      (cons 
       (concat "/usr/share/" (symbol-name debian-emacs-flavor)
	       "/site-lisp/gnats")
       load-path))

(autoload 'edit-pr "gnats"
  "Command to edit a problem report." t)
(autoload 'query-pr "gnats"
  "Command to query information about problem reports." t)
(autoload 'send-pr "gnats"
  "Command to create and send a problem report." t)
(autoload 'view-pr "gnats"
  "Command to view a problem report." t)
(autoload 'unlock-pr "gnats"
  "Unlock a problem report." t)
(autoload 'unlock-database "gnats"
  "Unlock the whole database." t)
(autoload 'gnats-change-database "gnats"
  "Set new database parameters." t)
(autoload 'gnats-dbconfig-mode "gnats"
  "Major mode for editing the `dbconfig' GNATS configuration file." t)
(add-to-list 'auto-mode-alist '("\\<dbconfig$" . gnats-dbconfig-mode))  
